Bug 838978 - [abrt] hugin-2011.4.0-5.fc17: OverviewOutlinesTool::draw: Process /usr/bin/hugin was killed by signal 11 (SIGSEGV)
[abrt] hugin-2011.4.0-5.fc17: OverviewOutlinesTool::draw: Process /usr/bin/hu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hugin (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Postle
Fedora Extras Quality Assurance
abrt_hash:b50f3947b09eb313881061c3cce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 10:37 EDT by Zdenek
Modified: 2013-07-31 17:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (11.57 KB, text/plain)
2012-07-10 10:37 EDT, Zdenek
no flags Details
File: backtrace (76.22 KB, text/plain)
2012-07-10 10:37 EDT, Zdenek
no flags Details

  None (edit)
Description Zdenek 2012-07-10 10:37:24 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        hugin
comment:        Clicking Fast Preview Tool in Toolbar crashes the Hugin program. The same happens when in Preferences the Fast Preview is selected as next step After Align Open ... Fast Preview ...
crash_function: OverviewOutlinesTool::draw
executable:     /usr/bin/hugin
kernel:         3.4.4-5.fc17.i686

backtrace:      Text file, 78051 bytes
dso_list:       Text file, 11845 bytes

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 16002                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         unlimited            unlimited            bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       16002                16002                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     70                   70                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/3
:pos:	0
:flags:	02
:1:/dev/pts/3
:pos:	0
:flags:	02
:2:/dev/pts/3
:pos:	0
:flags:	02
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[269449]
:pos:	0
:flags:	02004002
:5:socket:[269552]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[270894]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	02
Comment 1 Zdenek 2012-07-10 10:37:28 EDT
Created attachment 597356 [details]
File: dso_list
Comment 2 Zdenek 2012-07-10 10:37:32 EDT
Created attachment 597357 [details]
File: backtrace
Comment 3 Bruno Postle 2012-07-12 16:51:06 EDT
Thanks for the bug report, though I don't see any obvious problems in the backtrace etc...

There have been reported problems with the 'overview', if you can ever get the Fast Preview visible with an empty project you can disable it and it will stay disabled for future projects.

If this doesn't work, it would be useful to know if the bug is fixed in a recent snapshot, I have RPMs here: http://repos.fedorapeople.org/repos/bpostle/panorama/

Note that the snapshots are quite stable, but the GUI is different and a bit rough.
Comment 4 Zdenek 2012-07-13 03:46:05 EDT
Thank you for help. The trick with disabling overview in fast preview works. I was able to start fast preview for a minute after deleting  configuration file ~/.hugin ,  then imported one small image, immediately activated fast preview and disabled overview. 

Had a look at the development snapshot. Was not able to test much. The main window starts, but is narrow, needs to be resized. When I try to resize the window  – both ways clicking icon or pulling border - program crashes.
Comment 5 Bruno Postle 2012-07-13 17:08:51 EDT
Glad the workaround works for you.

I can't reproduce the resize crash, are you using a tiling window manager?
Comment 6 Zdenek 2012-07-14 14:38:51 EDT
I do not understand what tiling window manager means, if it is currently used, and how to find out in Gnome which window manager is used.

The PC runs recently fresh installed Fedora 17 (with followup yum updates), Gnome desktop (I guess something called fallback mode due to an older graphics card).

I installed also KDE, logged in and started KDE. KDE runs smoothly. Hugin, fast preview, crashes in KDE the same way as if run in Gnome.
Comment 7 Bruno Postle 2012-07-14 16:44:44 EDT
Sorry I don't have any more ideas, your system seems fine and you are not using a tiling window manager.
Comment 8 Fedora End Of Life 2013-07-03 16:59:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 17:41:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.